Name:		im-chooser
Version:	0.99.6
Release:	3%{?dist}
License:	GPLv2+
URL:		http://fedorahosted.org/im-chooser/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk2-devel intltool gettext libgnomeui-devel dbus-devel dbus-glib-devel gamin-devel xfce-mcs-manager-devel libxfce4mcs-devel
BuildRequires:  desktop-file-utils libtool

Source0:	http://fedorahosted.org/releases/i/m/%{name}/%{name}-%{version}.tar.gz
Patch0:		im-chooser-constraint-of-language.patch
Patch1:		im-chooser-0.99.6-check-if-im-is-running.patch
Patch2:		im-chooser-0.99.6-correct-build-order.patch
Patch3:		im-chooser-0.99.6-sanity-check-on-dbus-conn.patch
Patch4:		im-chooser-0.99.6-validate-pid.patch

Summary:	Desktop Input Method configuration tool
Group:		Applications/System
Requires(post):	%{_sbindir}/alternatives
Requires(postun): %{_sbindir}/alternatives
Requires:	imsettings = %{version}-%{release}
Obsoletes:	system-switch-im

%description
im-chooser is a GUI configuration tool to choose the Input Method
to be used or disable Input Method usage on the desktop.

%package -n imsettings
Summary:	Input Method settings framework
Group:		Applications/System
Requires:	xorg-x11-xinit >= 1.0.2-22.fc8
Requires:	imsettings-libs = %{version}-%{release}
Requires(post):	/bin/dbus-send
Requires(postun): /bin/dbus-send

%description -n imsettings
imsettings is a framework to deal with IM configuration through D-Bus.

%package -n imsettings-xfce
Summary:	Xfce support on imsettings
Group:		Applicatioons/System
Requires:	imsettings-libs = %{version}-%{release}

%description -n imsettings-xfce
imsettings is a framework to deal with IM configuration through D-Bus.
This package contains a plugin to get this working on Xfce.

%package -n imsettings-libs
Summary:	Libraries for imsettings
Group:		Development/Libraries

%description -n imsettings-libs
imsettings is a framework to deal with IM configuration through D-Bus.
This package contains a library for imsettings.

%package  -n imsettings-devel
Summary:	Development files for imsettings
Group:		Development/Libraries
Requires:	imsettings-libs = %{version}-%{release}

%description -n imsettings-devel
imsettings is a framework to deal with IM configuration through D-Bus.
This package contains the development files to make any applications with imsettings.

%prep
%setup -q
%patch0 -p1 -b .language
%patch1 -p0 -b .is_running
%patch2 -p1 -b .build_order
%patch3 -p0 -b .dbusconn
%patch4 -p0 -b .pid
autoreconf

%build
%configure	--with-xinput-suffix=.conf \
		--with-xinputsh=50-xinput.sh \
		--disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor=fedora                            \
        --add-category=X-GNOME-PersonalSettings                 \
        --delete-original                                       \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications           \
        $RPM_BUILD_ROOT%{_datadir}/applications/im-chooser.desktop

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/mcs-plugins/*.la
rm -f $RPM_BUILD_ROOT%{_datadir}/dbus-1/services/qt-im-settings-daemon.service
rm -f $RPM_BUILD_ROOT%{_libexecdir}/qt-im-settings-daemon

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n imsettings
alternatives --install %{_sysconfdir}/X11/xinit/xinputrc xinputrc %{_sysconfdir}/X11/xinit/xinput.d/none.conf 10
alternatives --install %{_sysconfdir}/X11/xinit/xinputrc xinputrc %{_sysconfdir}/X11/xinit/xinput.d/xim.conf 30
dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig > /dev/null 2>&1 || :
imsettings-reload -f > /dev/null 2>&1 || :

%postun -n imsettings
if [ "$1" = 0 ]; then
	alternatives --remove xinputrc %{_sysconfdir}/X11/xinit/xinput.d/none.conf
	alternatives --remove xinputrc %{_sysconfdir}/X11/xinit/xinput.d/xim.conf
	dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig > /dev/null 2>&1 || :
fi
imsettings-reload -f > /dev/null 2>&1 || :

%post -n imsettings-libs -p /sbin/ldconfig

%postun -n imsettings-libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/im-chooser
%{_datadir}/applications/fedora-im-chooser.desktop
%{_datadir}/pixmaps/im-chooser.png

%files -n imsettings
%defattr (-, root, root, -)
%doc AUTHORS COPYING imsettings/ChangeLog README
%{_bindir}/imsettings-*
%{_libexecdir}/gconf-im-settings-daemon
%{_libexecdir}/im-info-daemon
%{_libexecdir}/im-settings-daemon
%{_libexecdir}/xinputinfo.sh
%{_datadir}/dbus-1/services/*.service
%{_sysconfdir}/X11/xinit/xinitrc.d/50-xinput.sh
%{_sysconfdir}/X11/xinit/xinput.d

%files -n imsettings-xfce
%defattr (-, root, root, -)
%doc AUTHORS COPYING imsettings/ChangeLog README
%{_libdir}/xfce4/mcs-plugins/imsettings_plugin.so

%files -n imsettings-libs
%defattr (-, root, root, -)
%doc AUTHORS COPYING imsettings/ChangeLog README
%{_libdir}/libimsettings.so.*

%files -n imsettings-devel
%defattr (-, root, root, -)
%doc AUTHORS COPYING imsettings/ChangeLog README
%{_includedir}/imsettings
%{_libdir}/libimsettings.so
%{_libdir}/pkgconfig/imsettings.pc

%changelog
* Tue Apr 29 2008 Akira TAGOH <tagoh@redhat.com> - 0.99.6-3
- im-chooser-0.99.6-sanity-check-on-dbus-conn.patch: Do not abort even if
  getting the bus is failed. (#444494)
- im-chooser-0.99.6-validate-pid.patch: Validate the pid. (#443765)

* Wed Apr 23 2008 Akira TAGOH <tagoh@redhat.com> - 0.99.6-2
- im-chooser-0.99.6-check-if-im-is-running.patch: Do not turn on the check box
  if IM isn't really running. (#443765)
- im-chooser-0.99.6-correct-build-order.patch: Apply to correct the build order.

* Tue Apr  8 2008 Akira TAGOH <tagoh@redhat.com> - 0.99.6-1
- New upstream release.
  - translation updates.
- Remove unnecessary patches:
  - im-chooser-0.99.5-no-xinputrc-update.patch
  - im-chooser-0.99.5-no-crash-on-no-im.patch

* Mon Apr  7 2008 Akira TAGOH <tagoh@redhat.com> - 0.99.5-3
- im-chooser-0.99.5-no-crash-on-no-im.patch: Fix a crash when no IM
  available. (#440519)
- Invoke ReloadConfig to apply changes on DBus services in %%post and %%postun.

* Fri Mar 28 2008 Akira TAGOH <tagoh@redhat.com> - 0.99.5-2
- im-chooser-0.99.5-no-xinputrc-update.patch: real fix for #437732
- ensure invoking xinput.sh after the session bus is established. (#436284)

* Wed Mar 19 2008 Akira TAGOH <tagoh@redhat.com> - 0.99.5-1
- New upstream release.
  - Fix an issue always create .xinputrc at the startup time. (#437732)
  - Add Xfce support.

* Tue Mar 11 2008 Akira TAGOH <tagoh@redhat.com> - 0.99.4-1
- New upstream release.
  - Compress im-chooser.png icon. (#330441)

* Thu Feb 21 2008 Akira TAGOH <tagoh@redhat.com>
- Run ldconfig on scriptlet of imsettings-libs.

* Wed Feb 20 2008 Akira TAGOH <tagoh@redhat.com> - 0.99.3-1
- New upstream release.
  - Fix taking too much CPU power. (#433575)
  - Fix not parsing the multiple command line options in xinput
    script. (#433578)

* Tue Feb 19 2008 Akira TAGOH <tagoh@redhat.com> - 0.99.2-1
- New upstream release.
  - Fix not working the user own .xinputrc properly.

* Fri Feb  8 2008 Akira TAGOH <tagoh@redhat.com> - 0.99.1-1
- New upstream release.
  - Fix some memory leaks and clean up the code. (#431167)
  - Fix the handling of the user own .xinputrc. (#431291)

* Fri Feb  1 2008 Akira TAGOH <tagoh@redhat.com> - 0.99-1
- New upstream release.
  - IMSettings is now enabled. you don't need to restart your desktop after
    changing IM for GTK+ applications. but still need to do for others so far.

* Thu Dec 27 2007 Akira TAGOH <tagoh@redhat.com> - 0.5.5-1
- New upstream release.
  - Rename sr@Latn to sr@latin. (#426540)

* Fri Nov 16 2007 Akira TAGOH <tagoh@redhat.com> - 0.5.4-1
- New upstream release.
  - Improve .desktop file for GNOME HIG compliant (#330431)
  - Improve English label on GUI (#302491)
- Remove the dead link. (#330391)
- Improve a package description. (#330421)

* Mon Oct 15 2007 Akira TAGOH <tagoh@redhat.com>
- Remove the obsolete Norwegian (no) translation. (#332131)

* Thu Oct 11 2007 Akira TAGOH <tagoh@redhat.com> - 0.5.3-1
- New upstream release.
  - Fix an issue that looks like IM can't be disabled on im-chooser. (#324231)

* Tue Oct  2 2007 Akira TAGOH <tagoh@redhat.com> - 0.5.2-3
- Revert the previous change.

* Fri Sep 21 2007 Akira TAGOH <tagoh@redhat.com> - 0.5.2-2
- Bring up IM by default again, except the session is on Live CD. (#250226)

* Tue Sep 18 2007 Akira TAGOH <tagoh@redhat.com> - 0.5.2-1
- New upstream release.
  - Fix to allow users disabling IM.

* Fri Sep 14 2007 Akira TAGOH <tagoh@redhat.com> - 0.5.1-2
- Add README into the package.

* Mon Sep 10 2007 Akira TAGOH <tagoh@redhat.com> - 0.5.1-1
- New upstream release.

* Thu Sep  6 2007 Akira TAGOH <tagoh@redhat.com> - 0.5.0-1
- New upstream release.

* Wed Aug  8 2007 Akira TAGOH <tagoh@redhat.com>
- Update License tag.

* Mon Aug  6 2007 Akira TAGOH <tagoh@redhat.com> - 0.4.1-3
- Own /etc/X11/xinit/xinput.d (#250960)

* Mon Jul 30 2007 Akira TAGOH <tagoh@redhat.com> - 0.4.1-2
- Update Require for xorg-x11-xinit

* Wed Jul 25 2007 Akira TAGOH <tagoh@redhat.com> - 0.4.1-1
- New upstream release.
  - xinput.sh has been moved from xorg-x11-xinit.

* Tue Jan 30 2007 Akira TAGOH <tagoh@redhat.com> - 0.3.4-1
- Translations update release.

* Wed Jan 24 2007 Matthias Clasen <mclasen@redhat.com> - 0.3.3-3
- Add X-GNOME-PersonalSettings to the desktop file categories (#224159)
- Use desktop-file-install

* Mon Oct  2 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.3-2
- added Assamese, Greek and Marathi translation. (#208258)

* Mon Oct  2 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.3-1
- Translations update release. (#208258, #208512)

* Fri Sep  8 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.2-1
- New upstream release.
  - added an icon. (#199337)
- removed the unnecessary patches:
  - im-chooser-r49.patch
  - im-chooser-r53.patch

* Tue Aug 29 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.1-3
- im-chooser-r53.patch: take care of the suffix to appears current selection.
  (#204433)

* Fri Aug 25 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.1-2
- im-chooser-r49.patch: removed MimeType field from .desktop file. (#203982)

* Tue Aug 15 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.1-1
- New upstream release.

* Mon Jul 24 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.0-2
- New upstream release.
- add libgnomeui-devel to BR.
- im-chooser-suffix-r40.patch: applied to support the recent change
  in the xinput files.

* Thu Jul 20 2006 Akira TAGOH <tagoh@redhat.com> - 0.2.2-2
- rebuilt

* Wed Jul 12 2006 Akira TAGOH <tagoh@redhat.com> - 0.2.2-1
- New upstream release.

* Mon Jul 10 2006 Akira TAGOH <tagoh@redhat.com> - 0.2.1-3
- New upstream release.
- improved the package summary and description.
- added intltool to BuildReq.
- added gettext to BuildReq.

* Fri Jul  7 2006 Akira TAGOH <tagoh@redhat.com> - 0.2.0-1
- New upstream release.
- use dist tag.
- registered xinputrc alternatives for none and xim.
- removed the empty docs.
- add Requires: xorg-x11-xinit >= 1.0.2-5.fc6 for new xinput.sh.

* Wed Jun  7 2006 Akira TAGOH <tagoh@redhat.com> - 0.1.1-1
- Initial package.

